šŸ”“ Food Waste Intake Detection ā±ā­ Detects the leftovers or remaining food on a dish/intake.

Ā© Consumes your monthly credits. Limited amount of monthly calls, exceeding calls will be charged as extras.

(D) Limited amount of daily calls per user.

(S) Limited amount of calls per second.

Ā 

This endpoint must be called attached to an already existent food segmentation prediction (Pre-consumption image). It applies the same food segmentation procedure as in /image/segmentation/complete but on an image that contains leftovers. For all the waste food item positions that were estimated to be matched to an item in the preconsumption image, the parameter 'serving_size' will be returned with the estimated food quantity.

Ā 

Optionally, the endpoint allows providing a depth image in the same format as /image/segmentation/complete/quantity to increase the leftovers estimation precision. The depth image must be extracted using the LogMeal Depth SDK, that you will have to integrate into your App accordingly. Two SDKs are available, the iOS Depth SDK and the Android Depth SDK. If a depth image is provided an additional attribute named 'serving_size' is provided for each and every one of the elements inside the 'segmentation_results' list. Note that the segmentation_results might not be directly applicable to the uploaded image size. The segmentation pixel values are scaled depending on the 'processed_image_size' values provided for each of the images (the images might be sometimes resized depending on the needs of the food recognition algorithms used).

Ā 

IMPORTANT: Note that this endpoint has two parameters in the request body ('image' and 'depth') which are in the 'multipart/form-data', and the remaining parameters are in 'application/json'. You can check it from the dropdown from the right corner.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum

Desired language for the response. It must be a three-letter ISO 639-2/T code. Defaults to the APIUser's assigned language or english.

Body Params

Image sent in files

integer
required

ID or imageId of the pre-consumption image attached to the sent waste/leftovers image.

cam_focal_length
object

Camera focal length extracted with LogMeal SDK.

cam_principal_point
object

Camera principal point extracted with LogMeal SDK.

depth_image_size
object

Size in pixels of the depth image extracted with LogMeal SDK.

camera_pose
array of floats

List of floats that describe the camera pose extracted using the LogMeal Depth SDK.

camera_pose
string
enum

Version of the depth image provided. This depends on the SDK used iOS/Android.

Allowed:
Responses

401

Unauthorized, invalid token

403

You are not allowed to this method.

404

The specified URL was not found or couldn’t be retrieved

429

Too Many Requests. (limited per daily calls per user or overall calls per second)

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json